summaryrefslogtreecommitdiffstats
path: root/desktop/wmsm.app
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:28:29 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:29 +0200
commit08674d231460c2e9498db6d1f4e375092c1d55bb (patch)
tree1934a845391f1d8d09f4ee553300a77257f64082 /desktop/wmsm.app
parenta0710f3adf766851c7743728cb70efc372d571d2 (diff)
downloadslackbuilds-08674d231460c2e9498db6d1f4e375092c1d55bb.tar.gz
slackbuilds-08674d231460c2e9498db6d1f4e375092c1d55bb.tar.xz
desktop/wmsm.app: Added to 12.2 repository
Diffstat (limited to 'desktop/wmsm.app')
-rw-r--r--desktop/wmsm.app/README4
-rw-r--r--desktop/wmsm.app/slack-desc19
-rw-r--r--desktop/wmsm.app/wmsm.app.SlackBuild68
-rw-r--r--desktop/wmsm.app/wmsm.app.info8
4 files changed, 99 insertions, 0 deletions
diff --git a/desktop/wmsm.app/README b/desktop/wmsm.app/README
new file mode 100644
index 0000000000..bdf2c79f67
--- /dev/null
+++ b/desktop/wmsm.app/README
@@ -0,0 +1,4 @@
+wmsm.app is Window Maker system monitor dockable application
+
+wmsm.app monitors CPU usage, memory usage, swap usage, IOR, IOW, and
+displays uptime.
diff --git a/desktop/wmsm.app/slack-desc b/desktop/wmsm.app/slack-desc
new file mode 100644
index 0000000000..7ad7613ca2
--- /dev/null
+++ b/desktop/wmsm.app/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmsm.app: wmsm.app (Window Maker system monitor dockable application)
+wmsm.app:
+wmsm.app: wmsm.app monitors CPU usage, memory usage, swap usage, IOR, IOW, and
+wmsm.app: displays uptime.
+wmsm.app:
+wmsm.app:
+wmsm.app:
+wmsm.app:
+wmsm.app:
+wmsm.app:
+wmsm.app:
diff --git a/desktop/wmsm.app/wmsm.app.SlackBuild b/desktop/wmsm.app/wmsm.app.SlackBuild
new file mode 100644
index 0000000000..4c290c8fd3
--- /dev/null
+++ b/desktop/wmsm.app/wmsm.app.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for wmsm.app
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmsm.app
+VERSION=${VERSION:-0.2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+cd wmsm
+ CFLAGS="$SLKCFLAGS" make
+ mkdir -p $PKG/usr/bin
+
+ # Executable is copied to the correct location
+ cp -a wmsm $PKG/usr/bin
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/wmsm.app/wmsm.app.info b/desktop/wmsm.app/wmsm.app.info
new file mode 100644
index 0000000000..9fbf2dd8a5
--- /dev/null
+++ b/desktop/wmsm.app/wmsm.app.info
@@ -0,0 +1,8 @@
+PRGNAM="wmsm.app"
+VERSION="0.2.1"
+HOMEPAGE="http://dockapps.org/file.php/id/208"
+DOWNLOAD="http://dockapps.org/download.php/id/632/wmsm.app-0.2.1.tar.bz2"
+MD5SUM="52e887efdf275e154361e226c717a7bc"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"